// Copyright 2023 mathru. All rights reserved.

/// A package that enables the implementation of responsive grid layouts based on Bootstrap.
///
/// To use, import `package:katana_responsive/katana_responsive.dart`.
///
/// [mathru.net]: https://mathru.net
/// [YouTube]: https://www.youtube.com/c/mathrunetchannel
library katana_responsive;

// Flutter imports:
import 'package:flutter/material.dart';

export 'package:katana/katana.dart';

part 'src/responsive_builder.dart';
part 'src/responsive_row.dart';
part 'src/responsive_col.dart';
part 'src/responsive_break_points.dart';
part 'src/responsive_grid_tier.dart';
part 'src/responsive_visibility.dart';
